/**************************************************************************
 *
 *	project				 : VisiScript
 *
 *	copyright            : (C) 2002 by Michael Neuroth
 *
 * ------------------------------------------------------------------------
 *
 *  $Source$
 *
 *  $Revision$
 *
 *	$Log$
 *
 ***************************************************************************/
/*********************************************************************************
 *																				 *
 * This file is part of the VisiScript package (a frontend for script languages) *
 *																				 *
 * Copyright (C) 2002 by Michael Neuroth.										 *
 *                                                                               *
 * This program is free software; you can redistribute it and/or modify			 *
 * it under the terms of the GNU General Public License as published by    		 *
 * the Free Software Foundation; either version 2 of the License, or             *
 * (at your option) any later version.                                           *
 *                                                                               *
 ********************************************************************************/

#include "codeedit.h"

// ************************************************************************

MyQCodeEdit::MyQCodeEdit( QWidget * parent, const char * name )
	:  QextScintilla( parent, name )
{

}

MyQCodeEdit::~MyQCodeEdit()
{
}

bool MyQCodeEdit::hasMarkedTxt()
{
	return hasSelectedText();
}

QString MyQCodeEdit::markedTxt()
{
	return selectedText();
}

void MyQCodeEdit::setWordWrap( bool bValue )
{
	if( bValue )
		SendScintilla(QextScintillaBase::SCI_SETWRAPMODE, QextScintillaBase::SC_WRAP_WORD );
	else
		SendScintilla(QextScintillaBase::SCI_SETWRAPMODE, (unsigned long)QextScintillaBase::SC_WRAP_NONE );
}

void MyQCodeEdit::setOverwriteMode( bool bValue )
{
	SendScintilla(QextScintillaBase::SCI_SETOVERTYPE, (unsigned long)bValue );
}

bool MyQCodeEdit::overwriteMode()
{
	return (bool)SendScintilla(QextScintillaBase::SCI_GETOVERTYPE );
}

void MyQCodeEdit::setEdited( bool bValue )
{
	setModified( bValue );
}

bool MyQCodeEdit::edited()
{
	return isModified();
}

/*
void MyQCodeEdit::setFont( const QFont & f )
{
	int style = STYLE_DEFAULT;
	SendScintilla(SCI_STYLESETFONT,style,f.family().latin1());
	SendScintilla(SCI_STYLESETSIZE,style,f.pointSize());
	SendScintilla(SCI_STYLESETBOLD,style,f.bold());
	SendScintilla(SCI_STYLESETITALIC,style,f.italic());
	SendScintilla(SCI_STYLESETUNDERLINE,style,f.underline());
}

void MyQCodeEdit::setHorizScrollbar( bool bVisible )
{
	SendScintilla(QextScintillaBase::SCI_SETHSCROLLBAR, (unsigned long)bVisible );
}

void MyQCodeEdit::setMaxWidth( int iCount )
{
	SendScintilla(QextScintillaBase::SCI_SETSCROLLWIDTH, (unsigned long)iCount );
}
*/

